# -*- coding: utf-8 -*-
from setuphelpers import *
import sys
import platform

if sys.platform == "win32":
    waptpython_lib_sp_dir = os.sep.join([sys.executable.rsplit(os.path.sep, 1)[0].replace("\\Scripts", ""), "lib", "site-packages"])
else:
    waptpython_lib_sp_dir = os.sep.join([sys.executable.rsplit(os.path.sep, 1)[0].replace("/bin", "/lib/python%s" % str(Version(platform.python_version(),2))), "site-packages"])

pip_folder = makepath(waptpython_lib_sp_dir,"pip")


def install():
    bin_name = glob.glob('*.whl')[0]
    unzip(bin_name,waptpython_lib_sp_dir)

def audit():
    if not isdir(pip_folder):
        return "ERROR"
    return "OK"

def uninstall():
    remove_tree(pip_folder)





